Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 22:37
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Virtualbox faltan librerías ¿donde las encuentro?.
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
agrelot

Joined: 06 Dec 2013
Posts: 4

PostPosted: Wed 11 Dec 2013, 15:37    Post subject:  Virtualbox faltan librerías ¿donde las encuentro?.  

Hola Amigos. He instalado VirtualBox bajando el .deb de la página oficial con "un click" y tengo dos inconvenientes.
El primero es que me salen estas librerías que no encuentra el instalador:
Al archivo /usr/lib/virtualbox/VBoxTestOGL le faltan los sig. archivos de bibliotecas:
libQtCore.so.4 libQtGui.so.4 libQtOpenGL.so.4
Busco estas bibliotecas en el PPM y no las encuentro, tampoco googleando... ¿donde puedo conseguirlas y cómo las instalo?.
Por supuesto, parece que el VirtualBox no se instaló bien, porque si bien aparece en el "menú", NO SE EJECUTA.
Gracias

PD. Tengo Puppy Precisse instalado como FULL en una partición de un disco con otros SO.
Back to top
View user's profile Send private message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 516
Location: El salvador

PostPosted: Wed 11 Dec 2013, 18:56    Post subject:  

Puedes buscar para tu version aqui:
http://www.murga-linux.com/puppy/viewtopic.php?t=63332

El mensaje parece ser que te esta pidiendo las librerias Qt y recuerdo haber visto esas librerias en el quickpet para precise

http://www.murga-linux.com/puppy/viewtopic.php?t=83642

_________________
My blog


Back to top
View user's profile Send private message MSN Messenger 
vicmz


Joined: 15 Jan 2012
Posts: 1143

PostPosted: Wed 11 Dec 2013, 22:17    Post subject:  

Por favor dinos la versión exacta de tu Puppy para que sepamos el número de kernel. O usa alguna de estas versiones para Precise compiladas por Shinobar:

http://shino.pos.to/party/bridge.cgi?puppy/precise/opt/virtualbox-4.2.12-2-k3.2.29-precise.sfs

http://shino.pos.to/party/bridge.cgi?puppy/opt/virtualbox-4.2.18.sfs

Para instalar coloca el archivo SFS en la partición donde instalaste Puppy, dale clic con el botón derecho, selecciona sfs_load y sigue las instrucciones.

Encontrarás un paquete SFS de Qt4 para Precise aquí:

http://smokey01.com/pemasu/pet_packages-upup/qt-4.8.2.sfs

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
agrelot

Joined: 06 Dec 2013
Posts: 4

PostPosted: Fri 13 Dec 2013, 08:45    Post subject:  

Gracias por las respuestas.
Tengo puppy precise 5.7.1...
Bajé el qt-4.8.2.sfs . Para instalar hice btn-sec / sfs-load y me tira este error:
Failed to mount '/root/Downloads/qt-4.8.2.sfs' on '/mnt/+root+Downloads+qt-4.8.2.sfs'

¿Que podrá ser?. Gracias...


Otra consulta:
Al intentar arrancar el virtualbox desde un terminal me dice que debo compilar el kernel con:
sudo /etc/init.d/vboxdrv setup
y en el log se ve este error:
/usr/share/virtualbox/src/vboxhost/build_in_tmp: line 62: make: command not found
Back to top
View user's profile Send private message 
josejp2424

Joined: 01 Aug 2010
Posts: 232

PostPosted: Fri 13 Dec 2013, 09:21    Post subject: virtualbox
Subject description: virtualvox
 

agrelot es sin el sudo.
/etc/init.d/vboxdrv setup

y las librerias qt son estas.

https://www.wuala.com/josejp2424/puppy-es/programas/librerias/qt-4.8.2.pet

cualquier cosa estamos en el canal.
Back to top
View user's profile Send private message Visit poster's website 
vicmz


Joined: 15 Jan 2012
Posts: 1143

PostPosted: Fri 13 Dec 2013, 10:14    Post subject:  

agrelot wrote:

Bajé el qt-4.8.2.sfs . Para instalar hice btn-sec / sfs-load y me tira este error:
Failed to mount '/root/Downloads/qt-4.8.2.sfs' on '/mnt/+root+Downloads+qt-4.8.2.sfs'


Los SFS se instalan con SFS Load (Menú > Configuración > SFS Load añadir SFS sobre la marcha). Tienen que estar en la partición donde instalaste el Puppy o en la carpeta del Puppy. También se puede instalar (agregar) un SFS por clic derecho en ROX-Filer.
Screenshot_2013-12-13_11_29_17.png
 Description   
 Filesize   28.65 KB
 Viewed   498 Time(s)

Screenshot_2013-12-13_11_29_17.png

Screenshot_2013-12-13_11_20_00.png
 Description   
 Filesize   166.07 KB
 Viewed   491 Time(s)

Screenshot_2013-12-13_11_20_00.png


_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1143

PostPosted: Fri 13 Dec 2013, 10:19    Post subject:  

Ahora que veo bien Precise 5.7.1 no tiene el último SFS Load, lo puedes descargar de aquí:

http://shino.pos.to/linux/puppy/sfs_load-1.9.9.pet

El último SFS Load mejoró ciertas cosas al agregar SFS en instalaciones completas.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1143

PostPosted: Sat 14 Dec 2013, 19:50    Post subject:  

Shinobar compiló una nueva versión de Virtualbox con soporte para varios Puppies, quizás te sirva:

shinobar wrote:
virtualbox-4.3.4.sfs para Puppy 4.3.1 y la mayoría de Puppies 5.x incluyendo Lucid, Precise Puppy, Slacko-5.6 y más.
http://shino.pos.to/party/bridge.cgi?puppy/opt/virtualbox-4.3.4.sfs

Tiene módulos de kernel pre-compilados para Puppy-4.3.1, Wary-511, Lucid, Precise-5.5/5.6.1/5.7.1, y Slacko-5.6.
En cuanto a Puppy-4.3.1, es necesario instalar SDL.
ftp://distro.ibiblio.org/puppylinux/pet_packages-4/SDL-1.2.13-i386.pet
Para otros kernels, se necesita el devx y los paquetes fuente del kernel para compilar los módulos de kernel.
Escribir 'virtualbox' en un terminal después de instalar el virtualbox-xxx.sfs.
Es de notar que este SFS no tiene soporte para Puppies de 64bit.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0604s ][ Queries: 13 (0.0047s) ][ GZIP on ]